> For the complete documentation index, see [llms.txt](https://docs.r0app.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.r0app.com/api/prm-resources/notes.md).

# Notes

### View all notes

## Fetch a list of notes

<mark style="color:blue;">`GET`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/notes`

Returns a paginated list of notes in your account.

#### Query Parameters

| Name       | Type    | Description                                                                                                                                                        |
| ---------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| page       | Integer | For more info, see the [pagination section ](/api/introduction/getting-started.md#pagination)in the [Getting started](/api/introduction/getting-started.md) guide. |
| limit      | Integer | For more info, see the [pagination section ](/api/introduction/getting-started.md#pagination)in the [Getting started](/api/introduction/getting-started.md) guide. |
| include\[] | String  | If set to `deleted` all active and [deleted records](/api/introduction/deleting-resources.md) will be returned in the response.                                    |
| include\[] | String  | If set to `tags` the first few tags associated with a note will be included in the response.                                                                       |
| include\[] | String  | If set to `contacts` the first few contacts associated with a note will be included in the response.                                                               |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/notes \
    -X GET \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}

### View a note

## Fetch a note

<mark style="color:blue;">`GET`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/notes/:note_id`

Returns a single note given an id in the path.

#### Path Parameters

| Name                                        | Type | Description |
| ------------------------------------------- | ---- | ----------- |
| :note\_id<mark style="color:red;">\*</mark> | UUID |             |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/notes/:note_id \
    -X GET \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}

### Upload a note

## Upload a note

<mark style="color:green;">`POST`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/notes`

#### Request Body

| Name                                          | Type    | Description                                              |
| --------------------------------------------- | ------- | -------------------------------------------------------- |
| note\[note]<mark style="color:red;">\*</mark> | String  |                                                          |
| note\[personal\_note]                         | Boolean | If `true` no one else in your account can view the note. |
| tags\[]                                       | UUID    |                                                          |
| contacts\[]                                   | UUID    |                                                          |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/notes \
    -X POST \
    -H 'Authorization: Bearer <token>' \
    -F 'note[note]=This is an example.' \
    -F 'contacts[]=b0063875-54e1-45e4-94de-72545fdc88a7'
```

{% endtab %}
{% endtabs %}

### Update a note

## Update a note

<mark style="color:purple;">`PATCH`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/notes/:note_id`

#### Path Parameters

| Name                                        | Type | Description |
| ------------------------------------------- | ---- | ----------- |
| :note\_id<mark style="color:red;">\*</mark> | UUID |             |

#### Request Body

| Name           | Type   | Description                                              |
| -------------- | ------ | -------------------------------------------------------- |
| note\[note]    | String |                                                          |
| personal\_note | String | If `true` no one else in your account can view the note. |
| tags\[]        | UUID   |                                                          |
| contacts\[]    | UUID   |                                                          |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/notes/:note_id \
    -X POST \
    -H 'Authorization: Bearer <token>' \
    -F 'note[note]=This is an example.'
```

{% endtab %}
{% endtabs %}

**Request body details:**

```
{
  "note": {
    "note": "lorem ipsum",
    "personal_note": true
  },
  "tags": ["94cf6f37-307e-41d4-adcf-802eea9823f8"],
  "contacts": []
}
```

### Delete a note

## Delete a note

<mark style="color:red;">`DELETE`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/notes/:note_id`

#### Path Parameters

| Name                                        | Type | Description |
| ------------------------------------------- | ---- | ----------- |
| :note\_id<mark style="color:red;">\*</mark> | UUID |             |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/notes/:note_id \
    -X DELETE \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.r0app.com/api/prm-resources/notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
